##### GENERAL STUFF #####

%define major	5
%define libname	%mklibname exif-gtk %{major}

Summary:	Library to access EXIF files (extended JPEG files)
Name:		libexif-gtk
Version:	0.3.5
Release:	%mkrel 9
License:	LGPL
Group:		Graphics
Url:		http://sourceforge.net/projects/libexif/

##### SOURCE FILES #####

Source: http://belnet.dl.sourceforge.net/sourceforge/libexif/libexif-gtk-%{version}.tar.xz

##### ADDITIONAL DEFINITIONS #####

BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	libexif-devel libgtk+2.0-devel libglib2.0-devel

##### SUB-PACKAGES #####

%description

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

This library does not contain any documentation, but it seems to make
the connection between libexif, the core library for EXIF, and
GTK-based graphical frontends.

%package -n %{libname}
Summary:	Library to access EXIF files (extended JPEG files)
Provides:	libexif-gtk
Group:		System/Libraries
Conflicts:	%{_lib}exif-gtk4

%description  -n %{libname}

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

This library does not contain any documentation, but it seems to make
the connection between libexif, the core library for EXIF, and
GTK-based graphical frontends.

%package -n %{libname}-devel
Summary: Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}
Provides:	libexif-gtk-devel
Group:		Development/Libraries


%description -n %{libname}-devel
This package contains all files which one needs to compile programs using
the "%{libname}" library.


##### PREP #####

%prep
%setup -q

# Disable GTK_DISABLE_DEPRECATED macro
sed -i s/-DGTK_DISABLE_DEPRECATED// */Makefile.*

##### BUILD #####

%build
%configure2_5x
%make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall


rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

##### libexif-gtk
%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_libdir}/*.so.*

##### %{libname}-devel
%files  -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so

%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*

##### CHANGELOG #####

%changelog
* Wed Nov 06 2013 billybot <billybot> 0.3.5-9pclos2013
- rebuild for new pcre
- convert source to tar.xz
- remove .la files

* Fri Dec 25 2009 <texstar at gmail.com> 0.3.5-8pclos2010
- rebuild

* Mon Aug 31 2009 pcserver <pcserver at hushmail.com> 0.3.5-7pclos2009
- rebuild against updates

* Mon Oct 08 2007 Texstar <texstar@gmail.com> 0.3.5-6plcos2007
- rebuild against updates

* Sun Nov 05 2006 Texstar <texstar@houston.rr.com> 0.3.5-5pclos2007
- Build for PCLinuxOS 2007

